org.apache.ignite.internal.processors.cache

## Class CacheMetricsImpl.EntriesStatMetrics

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.CacheMetricsImpl.EntriesStatMetrics

Enclosing class:
  CacheMetricsImpl

    public static class CacheMetricsImpl.EntriesStatMetrics
    extends Object

Entries and partitions metrics holder class.

### Constructor Summary

Constructors
Constructor and Description
`EntriesStatMetrics()`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `cacheSize()`
`void` `cacheSize(long cacheSize)`
`long` `heapEntriesCount()`
`void` `heapEntriesCount(long heapEntriesCnt)`
`boolean` `isEmpty()`
`void` `isEmpty(boolean isEmpty)`
`int` `keySize()`
`void` `keySize(int keySize)`
`long` `offHeapBackupEntriesCount()`
`void` `offHeapBackupEntriesCount(long offHeapBackupEntriesCnt)`
`long` `offHeapEntriesCount()`
`void` `offHeapEntriesCount(long offHeapEntriesCnt)`
`long` `offHeapPrimaryEntriesCount()`
`void` `offHeapPrimaryEntriesCount(long offHeapPrimaryEntriesCnt)`
`int` `rebalancingPartitionsCount()`
`void` `rebalancingPartitionsCount(int rebalancingPartsCnt)`
`int` `size()`
`void` `size(int size)`
`int` `totalPartitionsCount()`
`void` `totalPartitionsCount(int totalPartsCnt)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EntriesStatMetrics

    public EntriesStatMetrics()

### Method Detail

#### totalPartitionsCount

    public int totalPartitionsCount()

Returns:
  Total partitions count.

#### totalPartitionsCount

    public void totalPartitionsCount(int totalPartsCnt)

Parameters:
  `totalPartsCnt` - Total partitions count.

#### rebalancingPartitionsCount

    public int rebalancingPartitionsCount()

Returns:
  Rebalancing partitions count.

#### rebalancingPartitionsCount

    public void rebalancingPartitionsCount(int rebalancingPartsCnt)

Parameters:
  `rebalancingPartsCnt` - Rebalancing partitions count.

#### offHeapEntriesCount

    public long offHeapEntriesCount()

Returns:
  Offheap entries count.

#### offHeapEntriesCount

    public void offHeapEntriesCount(long offHeapEntriesCnt)

Parameters:
  `offHeapEntriesCnt` - Offheap entries count.

#### offHeapPrimaryEntriesCount

    public long offHeapPrimaryEntriesCount()

Returns:
  Offheap primary entries count.

#### offHeapPrimaryEntriesCount

    public void offHeapPrimaryEntriesCount(long offHeapPrimaryEntriesCnt)

Parameters:
  `offHeapPrimaryEntriesCnt` - Offheap primary entries count.

#### offHeapBackupEntriesCount

    public long offHeapBackupEntriesCount()

Returns:
  Offheap backup entries count.

#### offHeapBackupEntriesCount

    public void offHeapBackupEntriesCount(long offHeapBackupEntriesCnt)

Parameters:
  `offHeapBackupEntriesCnt` - Offheap backup entries count.

#### heapEntriesCount

    public long heapEntriesCount()

Returns:
  Heap entries count.

#### heapEntriesCount

    public void heapEntriesCount(long heapEntriesCnt)

Parameters:
  `heapEntriesCnt` - Onheap entries count.

#### size

    public int size()

Returns:
  Size.

#### size

    public void size(int size)

Parameters:
  `size` - Size.

#### keySize

    public int keySize()

Returns:
  Key size.

#### keySize

    public void keySize(int keySize)

Parameters:
  `keySize` - Key size.

#### cacheSize

    public long cacheSize()

Returns:
  Long size.

#### cacheSize

    public void cacheSize(long cacheSize)

Parameters:
  `cacheSize` - Size long.

#### isEmpty

    public boolean isEmpty()

Returns:
  Is empty.

#### isEmpty

    public void isEmpty(boolean isEmpty)

Parameters:
  `isEmpty` - Is empty flag.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019